# class MathML::Util::MathData

### Attributes

dmath_list[R]
dsrc_list[R]
escape_list[R]
esrc_list[R]
math_list[R]
msrc_list[R]
user_list[R]
usrc_list[R]

### Public Class Methods

new() click to toggle source

    # File lib/math_ml/util.rb, line 46
    def initialize
            @math_list = []
            @msrc_list = []
            @dmath_list = []
            @dsrc_list = []
            @escape_list = []
            @esrc_list = []
            @user_list = []
            @usrc_list = []
    end

### Public Instance Methods

update(s) click to toggle source

    # File lib/math_ml/util.rb, line 57
    def update(s)
            @math_list.concat(s.math_list)
            @msrc_list.concat(s.msrc_list)
            @dmath_list.concat(s.dmath_list)
            @dsrc_list.concat(s.dsrc_list)
            @escape_list.concat(s.escape_list)
            @esrc_list.concat(s.esrc_list)
            @user_list.concat(s.user_list)
            @usrc_list.concat(s.usrc_list)
    end